laptop and a wrench

Bug

Unable to configure Portal for ArcGIS Web Adaptor when using Oracle WebLogic 10.3.6 installed on RedHat.

Last Published: May 21, 2015 Portal for ArcGIS
Bug ID Number BUG-000086785
SubmittedApril 9, 2015
Last ModifiedJune 11, 2020
Applies toPortal for ArcGIS
Version found10.3
Operating SystemRed Hat Enterprise Linux
Operating System Version65 64 Bit
StatusNon-Reproducible

Additional Information

For configuring web adaptor over https using WebLogic, refer to http://support.esri.com/ja/knowledgebase/techarticles/detail/41262

Workaround

Oracle released a patch for the POODLE vulnerability - http://www.oracle.com/technetwork/topics/security/poodlecve-2014-3566-2339408.html Oracle WebLogic Server should be started with a parameter to exclude SSL 2.0 and/or SSL 3.0 to in order to mitigate the SSL V3.0 "Poodle" Vulnerability. To do this, start the WebLogic Server with the JAVA_OPTION to use security protocol “TLS1” for working over https. For instance, Dweblogic.security.SSL.protocolVersion=TLS1 in the JAVA_OPTIONS variable setting in the DOMAIN_HOME/bin/setDomainEnv.sh file.

Steps to Reproduce

Bug ID: BUG-000086785

Software:

  • Portal for ArcGIS

Get help from ArcGIS experts

Contact technical support

Download the Esri Support App

Go to download options

Discover more on this topic